/*
 * Copyright (c) 2015-2021, Renesas Electronics Corporation
 * All rights reserved.
 */

#ifndef MICRO_WAIT_H__
#define MICRO_WAIT_H__

#define TMU3_MEASUREMENT    (1) /* for time measurement */

#ifndef __ASSEMBLY
void micro_wait(uint32_t count_us);

/* Time measurement function using the TMU3. */
#if (TMU3_MEASUREMENT == 1)
void init_TMU3(void);
void start_TMU3(void);
uint32_t snapshot_TCNT3(void);
void stop_TMU3(void);
#endif /* TMU3_MEASUREMENT */

#endif /* __ASSEMBLY */

#endif /* MICRO_TWAIT_H__ */
